LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request PUT "$LAGO_URL/api/v1/wallets/:lago_id" \
--header "Authorization: Bearer $API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"wallet": {
"name": "Prepaid Credits",
"expiration_at": "2022-07-07T23:59:59Z"
}
}'
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
from lago_python_client.models import Wallet
client = Client(api_key='__YOUR_API_KEY__')
wallet = Wallet(
name='Prepaid Credits',
expiration_at='2022-07-07T23:59:59Z'
)
try:
client.wallets.update(wallet, '__WALLET_ID__')
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new({api_key: '__YOUR_API_KEY__'})
client.wallets.update({
name: 'Prepaid Credits',
expiration_at: '2022-07-07T23:59:59Z',
}, '__WALLET_ID__')
await client.wallets.updateWallet("wallet-id", {
wallet: { name: "Prepaid Credits", expiration_at: "2022-07-07T23:59:59Z" },
});
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
walletInput := &lago.WalletInput{
Name: "Prepaid Credits",
ExpirationAt: "2022-07-07T23:59:59Z"
}
wallet, err := lagoClient.Wallet().Update(walletInput, "__WALLET_ID__")
if err != nil {
// Error is *lago.Error
panic(err)
}
// wallet is *lago.Wallet
fmt.Println(wallet)
}
using System.Collections.Generic;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;
namespace Example
{
public class UpdateWalletExample
{
public static void Main()
{
Configuration.Default.BasePath = "https://api.getlago.com/api/v1";
// Configure HTTP bearer authorization: bearerAuth
Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";
var apiInstance = new WalletsApi(Configuration.Default);
var id = "321da83c-c007-4fbb-afcd-b00c07c41ssd"; // string | Lago ID of the existing wallet
var walletUpdateInput = new WalletUpdateInput(); // WalletUpdateInput | Update an existing wallet
try
{
// Update an existing wallet
Wallet result = apiInstance.UpdateWallet(id, walletUpdateInput);
Debug.WriteLine(result);
}
catch (ApiException e)
{
Debug.Print("Exception when calling WalletsApi.UpdateWallet: " + e.Message );
Debug.Print("Status Code: "+ e.ErrorCode);
Debug.Print(e.StackTrace);
}
}
}
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');
// Configure Bearer authorization: bearerAuth
$config = OpenAPI\Client\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');
$apiInstance = new OpenAPI\Client\Api\WalletsApi(
// If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
// This is optional, `GuzzleHttp\Client` will be used as default.
new GuzzleHttp\Client(),
$config
);
$id = "321da83c-c007-4fbb-afcd-b00c07c41ssd"; // string | Lago ID of the existing wallet
$wallet_update_input = new \OpenAPI\Client\Model\WalletUpdateInput(); // \OpenAPI\Client\Model\WalletUpdateInput | Update an existing wallet
try {
$result = $apiInstance->updateWallet($id, $wallet_update_input);
print_r($result);
} catch (Exception $e) {
echo 'Exception when calling WalletsApi->updateWallet: ', $e->getMessage(), PHP_EOL;
}